using XGame.Framework.i18n;
using XGame.Framework.Quality;

namespace XGame.Framework.Asset.Addressable
{
    public interface IAddressableManifest
    {
        bool ContainsName(string addressableName);
        bool IsInResourcesByName(string addressableName);
        string GetRelativePath(string addressableName);
        bool TryGetI18nAddressableName(string addressableName, LanguageType langFlag, out string i18nName);
        bool TryGetLodAddressableName(string addressableName, XQualityLevel quality, out string lodName);
    }
}
